Package org.pushingpixels.substance.internal.ui

# Class SubstanceFileChooserUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.FileChooserUI
javax.swing.plaf.basic.BasicFileChooserUI
javax.swing.plaf.metal.MetalFileChooserUI
org.pushingpixels.substance.internal.ui.SubstanceFileChooserUI

public class SubstanceFileChooserUI extends MetalFileChooserUI
UI for file chooser in Substance look and feel. The `BasicFileChooserUI` can't be used on its own (creates an empty dialog).

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalFileChooserUI

`MetalFileChooserUI.DirectoryComboBoxAction, MetalFileChooserUI.DirectoryComboBoxModel, MetalFileChooserUI.FileRenderer, MetalFileChooserUI.FilterComboBoxModel, MetalFileChooserUI.FilterComboBoxRenderer, MetalFileChooserUI.SingleClickListener`

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicFileChooserUI

`BasicFileChooserUI.AcceptAllFileFilter, BasicFileChooserUI.ApproveSelectionAction, BasicFileChooserUI.BasicFileView, BasicFileChooserUI.CancelSelectionAction, BasicFileChooserUI.ChangeToParentDirectoryAction, BasicFileChooserUI.DoubleClickListener, BasicFileChooserUI.GoHomeAction, BasicFileChooserUI.NewFolderAction, BasicFileChooserUI.SelectionListener, BasicFileChooserUI.UpdateAction`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicFileChooserUI

`cancelButtonMnemonic, cancelButtonText, cancelButtonToolTipText, computerIcon, detailsViewIcon, directoryIcon, directoryOpenButtonMnemonic, directoryOpenButtonText, directoryOpenButtonToolTipText, fileIcon, floppyDriveIcon, hardDriveIcon, helpButtonMnemonic, helpButtonText, helpButtonToolTipText, homeFolderIcon, listViewIcon, newFolderIcon, openButtonMnemonic, openButtonText, openButtonToolTipText, saveButtonMnemonic, saveButtonText, saveButtonToolTipText, updateButtonMnemonic, updateButtonText, updateButtonToolTipText, upFolderIcon, viewMenuIcon`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceFileChooserUI(JFileChooser filechooser)`
Creates the UI delegate for the specified file chooser.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`FileView`
`getFileView(JFileChooser fc)`

### Methods inherited from class javax.swing.plaf.metal.MetalFileChooserUI

`addControlButtons, createActionMap, createDetailsView, createDirectoryComboBoxModel, createFilterComboBoxModel, createFilterComboBoxRenderer, createList, createListSelectionListener, createPropertyChangeListener, ensureFileIsVisible, getActionMap, getApproveButton, getBottomPanel, getButtonPanel, getDirectoryName, getFileName, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installListeners, installStrings, installUI, removeControlButtons, rescanCurrentDirectory, setDirectoryName, setDirectorySelected, setFileName, uninstallComponents, uninstallUI, valueChanged`

### Methods inherited from class javax.swing.plaf.basic.BasicFileChooserUI

`clearIconCache, createDoubleClickListener, createModel, getAcceptAllFileFilter, getAccessoryPanel, getApproveButtonMnemonic, getApproveButtonText, getApproveButtonToolTipText, getApproveSelectionAction, getCancelSelectionAction, getChangeToParentDirectoryAction, getDefaultButton, getDialogTitle, getDirectory, getFileChooser, getGoHomeAction, getModel, getNewFolderAction, getUpdateAction, installDefaults, installIcons, isDirectorySelected, setDirectory, uninstallDefaults, uninstallIcons, uninstallListeners, uninstallStrings`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceFileChooserUI

public SubstanceFileChooserUI(JFileChooser filechooser)
Creates the UI delegate for the specified file chooser.

Parameters:
  `filechooser` - File chooser.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### getFileView

public FileView getFileView(JFileChooser fc)

Overrides:
  `getFileView` in class `BasicFileChooserUI`